package com.aiotagro.cattletrade.business.service;

import com.aiotagro.cattletrade.business.dto.SlaughterHouseCreateDto;
import com.aiotagro.cattletrade.business.dto.SlaughterHouseDto;
import com.aiotagro.cattletrade.business.dto.SlaughterHouseEditDto;
import com.aiotagro.cattletrade.business.entity.SlaughterHouse;
import com.aiotagro.common.core.web.domain.AjaxResult;
import com.aiotagro.common.core.web.domain.PageResultResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 屠宰场管理服务接口
 *
 * @author System
 * @date 2025-12-09
 */
public interface ISlaughterHouseService extends IService<SlaughterHouse> {

    /**
     * 分页查询
     */
    PageResultResponse<SlaughterHouse> pageQuery(SlaughterHouseDto dto);

    /**
     * 新增
     */
    AjaxResult addHouse(SlaughterHouseCreateDto dto);

    /**
     * 编辑
     */
    AjaxResult updateHouse(SlaughterHouseEditDto dto);

    /**
     * 删除（逻辑）
     */
    AjaxResult deleteHouse(Integer id);

    /**
     * 详情
     */
    AjaxResult detail(Integer id);

    /**
     * 下拉列表
     */
    List<SlaughterHouse> getAllEnabled();
}

